python with 2.26 and os x 10.x

Scripting in Blender with Python, and working on the API

Moderators: jesterKing, stiv

cekuhnen
Posts: 303
Joined: Mon Jan 13, 2003 11:04 pm

python with 2.26 and os x 10.x

Postby cekuhnen » Fri Mar 14, 2003 8:40 pm

hey

i found some neat human modeling script but i cannot run them.
i get many errors inside blender about the python.


just a qustion since 2.26 is freshly out and i read that there are some problems with python DOES this work at the moment or NOT?

most scripts also call a GUI.


claas

VelikM
Posts: 80
Joined: Mon Oct 14, 2002 4:18 am

Postby VelikM » Sat Apr 05, 2003 8:52 pm

GUIs drawn from the python API do not work on the OS X version (any version up to and including2.26) of blender, the BGL module that draws the interface, doesn't contain the functions required to draw the interface using python. I understand that there is a developer working on the problem (something about the inability of the python code to link the dynamic gl librarys that OS X uses).


Return to “Python”

Who is online

Users browsing this forum: No registered users and 1 guest